package com.zhyc.module.biosafety.mapper;

import java.util.List;
import com.zhyc.module.biosafety.domain.Health;
import org.apache.ibatis.annotations.Mapper;

/**
 * 保健Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
@Mapper
public interface HealthMapper 
{
    /**
     * 查询保健
     * 
     * @param id 保健主键
     * @return 保健
     */
    public Health selectHealthById(Long id);

    /**
     * 查询保健列表
     * 
     * @param health 保健
     * @return 保健集合
     */
    public List<Health> selectHealthList(Health health);

    /**
     * 新增保健
     * 
     * @param health 保健
     * @return 结果
     */
    public int insertHealth(List<Health> health);

    /**
     * 修改保健
     * 
     * @param health 保健
     * @return 结果
     */
    public int updateHealth(Health health);

    /**
     * 删除保健
     * 
     * @param id 保健主键
     * @return 结果
     */
    public int deleteHealthById(Long id);

    /**
     * 批量删除保健
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHealthByIds(Long[] ids);
}
